Bug 972723 - [abrt] inkscape-0.48.4-1.fc18: ccss_property: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
[abrt] inkscape-0.48.4-1.fc18: ccss_property: Process /usr/bin/inkscape was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:66396cd3eed0980fc59651de149...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 09:18 EDT by Gwendal
Modified: 2014-02-05 16:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:45:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.12 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: core_backtrace (12.02 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: dso_list (16.00 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: environ (1.68 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: maps (73.61 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: open_fds (1.08 KB, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: var_log_messages (943 bytes, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details
File: xsession_errors (849 bytes, text/plain)
2013-06-10 09:18 EDT, Gwendal
no flags Details

  None (edit)
Description Gwendal 2013-06-10 09:18:04 EDT
Description of problem:
I was using the Open Clip Art import tool. The crash occured while clicking from one item of the list to another.

Version-Release number of selected component:
inkscape-0.48.4-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        inkscape
crash_function: ccss_property
executable:     /usr/bin/inkscape
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ccss_property at rsvg-styles.c:1064
 #1 cr_parser_parse_ruleset at libcroco/cr-parser.c:3357
 #2 cr_parser_parse_stylesheet at libcroco/cr-parser.c:2554
 #3 cr_parser_parse at libcroco/cr-parser.c:4282
 #4 rsvg_parse_cssbuffer at rsvg-styles.c:1156
 #5 rsvg_style_handler_free at rsvg-base.c:104
 #6 rsvg_end_element at rsvg-base.c:669
 #7 xmlParseEndTag1 at parser.c:8679
 #8 xmlParseTryOrFinish at parser.c:11573
 #9 xmlParseChunk__internal_alias at parser.c:12276
Comment 1 Gwendal 2013-06-10 09:18:09 EDT
Created attachment 759190 [details]
File: backtrace
Comment 2 Gwendal 2013-06-10 09:18:12 EDT
Created attachment 759191 [details]
File: cgroup
Comment 3 Gwendal 2013-06-10 09:18:16 EDT
Created attachment 759192 [details]
File: core_backtrace
Comment 4 Gwendal 2013-06-10 09:18:20 EDT
Created attachment 759193 [details]
File: dso_list
Comment 5 Gwendal 2013-06-10 09:18:24 EDT
Created attachment 759194 [details]
File: environ
Comment 6 Gwendal 2013-06-10 09:18:29 EDT
Created attachment 759195 [details]
File: limits
Comment 7 Gwendal 2013-06-10 09:18:33 EDT
Created attachment 759196 [details]
File: maps
Comment 8 Gwendal 2013-06-10 09:18:36 EDT
Created attachment 759197 [details]
File: open_fds
Comment 9 Gwendal 2013-06-10 09:18:40 EDT
Created attachment 759198 [details]
File: proc_pid_status
Comment 10 Gwendal 2013-06-10 09:18:43 EDT
Created attachment 759199 [details]
File: var_log_messages
Comment 11 Gwendal 2013-06-10 09:18:47 EDT
Created attachment 759200 [details]
File: xsession_errors
Comment 12 mcy 2013-06-24 16:06:03 EDT
Same here. If you want to reproduce, you can try searching for "laptop" in the Open Clip Art box and then selecting the third item (its name is "Laptop"). It also occurs if you search for "switch" and select one of the last elements.
Comment 13 Fedora End Of Life 2013-12-21 08:56:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 16:45:07 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.